Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.servlets.controls.analytics
Interface AnalyticEvent

All Known Implementing Classes:
  AnalyticEventImpl

    public interface AnalyticEvent

This is the logged event received by the analytic event handler. This event contains enough meta data to perform statistical analysis on portal artifacts. While the portal container provides the only implementation of this interface, it is up to the AnaylticEventHandler implementation to log the event or aggregate the events.

Oracle reserves the right to add additional methods to this intertface in the future.

Nested Class Summary
`static class` | `AnalyticEvent.AnalyticEventObject` The portal object type this event can be logged agains.

Method Summary
`AnalyticEvent.AnalyticEventObject` | `getAnalyticEventObject()` Get the portal object type this event can be logged agains.
`String` | `getDefinitionId()` The defintion id of the page or portlet, will be null for .portal files
`String` | `getDefinitionLabel()` The definition label of the portlet or page
`String` | `getDesktop()` The desktop or portal name this event was logged under
`long` | `getDisposeLifecycleTime()` The amount of time the page or portlet spent in the "Dispose" lifecycle phase
`long` | `getInitLifecycleTime()` The amount of time the page or portlet spent in the "init" lifecycle phase
`String` | `getInstanceId()` The instance id of the page or portlet, will be null for .portal files
`String` | `getInstanceLabel()` The instance label of the portlet, null for pages
`long` | `getLoadStateTime()` The amount of time the page or portlet spent in the "loadState" lifecycle phase
`long` | `getLoadTime()` The amount of time the page or portlet spent in the "load" lifecycle phase
`String` | `getPageLabel()` The _pageLabel request parameter value
`long` | `getPreRenderLifecycleTime()` The amount of time the page or portlet spent in the "preRender" lifecycle phase
`long` | `getRaiseEventsLifecycleTime()` The amount of time the page or portlet spent in the "raiseEvents (handlePostBackData)" lifecycle phase
`long` | `getRenderLifecycleTime()` The amount of time the page or portlet spent in the "Render" lifecycle phase
`int` | `getRequestId()` A somewhat unique request id.
`long` | `getSaveStateTime()` The amount of time the page or portlet spent in the "saveState" lifecycle phase
`String` | `getServletContextName()` The servlet content name this event was logged under
`String` | `getSessionId()` The http session id of the user making the request
`long` | `getTotalTime()` The total amount of time the page or portlet consumed during the request.
`String` | `getUsername()` The username of the user who made the request, null for anaymnous users
`String` | `getWebappContextPath()` The webapp context context path
`String` | `getWindowLabel()` The _windowLabel request parameter value

Method Detail

### getAnalyticEventObject

    AnalyticEvent.AnalyticEventObject getAnalyticEventObject()

  Get the portal object type this event can be logged agains.

### getServletContextName

    String getServletContextName()

  The servlet content name this event was logged under

### getWebappContextPath

    String getWebappContextPath()

  The webapp context context path

### getDesktop

    String getDesktop()

  The desktop or portal name this event was logged under

### getUsername

    String getUsername()

  The username of the user who made the request, null for anaymnous users

### getSessionId

    String getSessionId()

  The http session id of the user making the request

### getRequestId

    int getRequestId()

  A somewhat unique request id. This is System.identityHashCode(httpRequest)

### getWindowLabel

    String getWindowLabel()

  The _windowLabel request parameter value

### getPageLabel

    String getPageLabel()

  The _pageLabel request parameter value

### getDefinitionLabel

    String getDefinitionLabel()

  The definition label of the portlet or page

### getInstanceLabel

    String getInstanceLabel()

  The instance label of the portlet, null for pages

### getDefinitionId

    String getDefinitionId()

  The defintion id of the page or portlet, will be null for .portal files

### getInstanceId

    String getInstanceId()

  The instance id of the page or portlet, will be null for .portal files

### getInitLifecycleTime

    long getInitLifecycleTime()

  The amount of time the page or portlet spent in the "init" lifecycle phase

### getLoadStateTime

    long getLoadStateTime()

  The amount of time the page or portlet spent in the "loadState" lifecycle phase

### getLoadTime

    long getLoadTime()

  The amount of time the page or portlet spent in the "load" lifecycle phase

### getRaiseEventsLifecycleTime

    long getRaiseEventsLifecycleTime()

  The amount of time the page or portlet spent in the "raiseEvents (handlePostBackData)" lifecycle phase

### getPreRenderLifecycleTime

    long getPreRenderLifecycleTime()

  The amount of time the page or portlet spent in the "preRender" lifecycle phase

### getSaveStateTime

    long getSaveStateTime()

  The amount of time the page or portlet spent in the "saveState" lifecycle phase

### getRenderLifecycleTime

    long getRenderLifecycleTime()

  The amount of time the page or portlet spent in the "Render" lifecycle phase

### getDisposeLifecycleTime

    long getDisposeLifecycleTime()

  The amount of time the page or portlet spent in the "Dispose" lifecycle phase

### getTotalTime

    long getTotalTime()

  The total amount of time the page or portlet consumed during the request. Note total time may be greater than or equal to the sum of all the times above. This is becuase there are additional hidden lifecycles the container uses and Oracle reserves the right to add additional lifecycles in the future.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.